.fl {
	float: left;
}

.fr {
	float: right;
}

.pr {
	position: relative;
}

.button {
	@extend .fl;
	padding: 0;
	min-width: 48px;
}

.qt {
	@extend .fl;
	text-transform: lowercase;
}

.sm {
	@extend .fr;
	text-transform: capitalize;
}

.brc {
	position: absolute;
	bottom: 0px;
	right: 0px;
}

@import "preact-material-components/Checkbox/_variables.scss";
@import "../../../../lib/css/breakpoints.scss";

$m: $mdc-checkbox-touch-area / 4 + 1;
$r: $mdc-checkbox-touch-area % 4;
$m: $m + if($r != 0, 1, 0);

.titleBlock {
	@include media-height(null, 1.8, min-height);
	@extend .pr;

	> a {
		color: inherit;
    	text-decoration: initial;
		> span {
			vertical-align: top;
		}
	}

	//left: -$m;
}

.cb {
	@extend .fl;
	@extend .pr;
	top: -$m;
	left: -$m;
	z-index: 1;
}

.cbInvis {
	@extend .cb;
	visibility: hidden;
}

.vt {
	//transform: rotate(270deg);
	//transform-origin: left bottom 0;
	position: absolute;
	bottom: 0px;
	left: 0px;

	strong {
		text-transform: lowercase;
	}
}

.el {
	padding: 4px;
}

.n {
	color: darkblue;
}

.ffe {
	width: 100%;
}